Subject: Re: mrouted 3.8 under HP-UX 10.20?

From: Jeff Bailey <[email-masked]>
Date: Fri, 21 Mar 1997 22:42:31 EST

Well, I've gotten a couple of replies suggesting that I try patch
PHNE_9106 but that's not the problem.  When I try to run a 3.8 mrouted
under HP-UX 10.20 (with or without the patch) I get:

  getsockopt MRT_VERSION: perhaps your kernel is too old: Invalid argument

The 3.3 mrouted (that came from HP) runs fine.  I'm not sure how to
determine what version of the multicast kernel code HP is shipping
but from the error message I assume that it's older than 3.5.
I know that HP had a 3.5 kernel and a 3.8 mrouted available for HP-UX 9
but it appears that they may have taken a step backwards when they went
to HP-UX 10?

Jeff
--

+---------------------------------------------------------------------------+
| Jeff Bailey (Sys. Analyst)  |  <[email-masked]>  |   1992 Corvette   |
| Department of Mathematics & |-------------------------| LT1/Z07/MN6/CVA1/ |
|    Computer Science         | Home:(330)654-2649      | U1E/AC1/UJ6/ABB8  |
| Kent State University       | Dept:(330)672-4004 x115 |-------------------|
| Kent - OH 44242  U.S.A.     | Fax: (330)672-7824      | 1979 TR7 roadster |
+---------------------------------------------------------------------------+

---

From: "Jeffrey S. Curtis" <[email-masked]>
Date: Fri, 21 Mar 1997 22:51:47 -0600

Jeff Bailey writes:
}Well, I've gotten a couple of replies suggesting that I try patch
}PHNE_9106 but that's not the problem.  When I try to run a 3.8 mrouted
}under HP-UX 10.20 (with or without the patch) I get:
}
}  getsockopt MRT_VERSION: perhaps your kernel is too old: Invalid argument

Just to clear this up a bit - I made the statement on this list a
while back that PHNE_9106 fixed the multicast bugs I'd been
experiencing under HP-UX 10.20 and that I could now run "all of
the standard Mbone apps".  What I meant by that was the standard
suite of user apps (sdr, vic, vat, wb, etc.).  Since I don't run
mrouted anywhere on my networks, I hadn't bothered to check whether
mrouted 3.8 actually works under HP-UX 10.20.  I'm not aware of any
multicast-related patches for HP-UX 10.20 other than the one I listed,
so, unfortunately, you might be out of luck.

Jeff
-- 
Jeffrey S. Curtis                      | Internetwork Manager
Argonne National Laboratory            | Email: [email-masked]
9700 South Cass Avenue, ECT-221        | Voice: 630/252-1789
Argonne, IL 60439                      | Fax:   630/252-9689

---

From: Bill Fenner <[email-masked]>
Date: Fri, 21 Mar 1997 23:14:23 PST

>The 3.3 mrouted (that came from HP) runs fine.

I actually thought of this possibility when making the 3.5 modifications.
Try building an mrouted-3.8 from sources but add -DOLD_KERNEL to the
CFLAGS in the Makefile.  I've never tested it, so you'll have to monitor
its operation closely, but I think it should work.

  Bill